# Uses of Interface
org.springframework.core.convert.ConversionService

Packages that use ConversionService
Package
Description
org.springframework.core.convert.converter
SPI to implement Converters for the type conversion system.
org.springframework.core.convert.support
Default implementation of the type conversion system.

## Uses of ConversionService in org.springframework.core.convert.converter

Constructors in org.springframework.core.convert.converter with parameters of type ConversionService
Modifier
Constructor
Description
``
`ConvertingComparator(Comparator<T> comparator, ConversionService conversionService, Class<? extends T> targetType)`
Create a new `ConvertingComparator` instance.

## Uses of ConversionService in org.springframework.core.convert.support

Subinterfaces of ConversionService in org.springframework.core.convert.support
Modifier and Type
Interface
Description
`interface`
`ConfigurableConversionService`
Configuration interface to be implemented by most if not all `ConversionService` types.
Classes in org.springframework.core.convert.support that implement ConversionService
Modifier and Type
Class
Description
`class`
`DefaultConversionService`
A specialization of `GenericConversionService` configured by default with converters appropriate for most environments.
`class`
`GenericConversionService`
Base `ConversionService` implementation suitable for use in most environments.
Methods in org.springframework.core.convert.support that return ConversionService
Modifier and Type
Method
Description
`static ConversionService`
DefaultConversionService.`getSharedInstance()`
Return a shared default `ConversionService` instance, lazily building it once needed.
Constructors in org.springframework.core.convert.support with parameters of type ConversionService
Modifier
Constructor
Description
``
`ConvertingPropertyEditorAdapter(ConversionService conversionService, TypeDescriptor targetDescriptor)`
Create a new ConvertingPropertyEditorAdapter for a given `ConversionService` and the given target type.